- Creates a conversation
You can create a conversation that has been initiated by a contact (ie. user or lead).
You can also send a message from a visitor by specifying their user_id or id value in the from field, along with a type field value of contact. This visitor will be automatically converted to a contact with a lead role once the conversation is created.
This will return the Message model that has been created.
Intercom API version.
By default, it's equal to the version set in the app package.
The title of the email. Only applicable if the message type is email.
A list of image URLs that will be added as attachments. You can include up to 10 URLs.
The time the conversation was created as a UTC Unix timestamp. If not provided, the current time will be used. This field is only recommneded for migrating past conversations from another source into Intercom.
- The production API serverhttps://api.intercom.io/conversations
- The european API serverhttps://api.eu.intercom.io/conversations
- The australian API serverhttps://api.au.intercom.io/conversations
- conversation created
- Contact Not Found
curl -i -X POST \
https://api.intercom.io/conversations \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.11' \
-d '{
"from": {
"type": "user",
"id": "667d60d18a68186f43bafddd"
},
"body": "Hello there"
}'conversation created
The subject of the message. Only present if message_type: email.
The type of message that was sent. Can be email, inapp or facebook.
{ "type": "user_message", "id": "403918251", "created_at": 1719492819, "body": "Hello there", "message_type": "inapp", "conversation_id": "363" }